PYSIDE6-SVGTOQML(1)

NAME
pyside6-svgtoqml - svgtoqml

SYNOPSIS
svgtoqml [options] input [output]

DESCRIPTION
SVG to QML converter

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-c, --curve-renderer
    Use the curve renderer in generated QML.

-p, --optimize-paths
    Optimize paths for the curve renderer.

-t, --type-name <typename>
    Use <typename> for Shape.

--copyright-statement <string>
    Add <string> as a comment at the start of the generated file.

--outline-stroke-mode
    Stroke the outline (contour) of the filled shape instead of the original path. Also sets optimize-paths.

--asset-output-directory <directory>
    If the SVG refers to external or embedded files, such as images, these will be copied into the same directory as the output QML file by default. Set the asset output directory to override the location.

--asset-output-prefix <prefix>
    If the SVG refers to external or embedded files, such as images, these will be copied to files with unique identifiers. By default, the files will be prefixed with "svg_asset_". Set the asset output prefix to override the prefix.

--keep-external-paths
    Any paths to external files will be retained in the QML output. The paths will be reformatted as relative to the output file. If this is not enabled, copies of the file will be saved to the asset output directory. Embedded data will still be saved to files, even if this option is set.

--no-assume-trusted-source
    When parsing the SVG, this enables certain checks and restrictions which are not enabled by default.

-v, --view
    Display the generated QML in a window. This is the default behavior if no output file is specified.

  Arguments:

input
    SVG file to read.

output
    QML file to write.